from __future__ import annotations

from typing import Optional

from qgis.PyQt.QtCore import pyqtSignal
from qgis.PyQt.QtWidgets import QWidget

from oslandia.gui.stylesheet import WidgetStyleSheet


class WidgetPageBase(WidgetStyleSheet):
    next_page_signal = pyqtSignal(int)
    previous_page_signal = pyqtSignal(int)
    end_signal = pyqtSignal()
    start_signal = pyqtSignal()

    def __init__(self, parent: Optional[QWidget] = None):
        super().__init__(parent)
